"""Translation classes."""

from modeltranslation.translator import register, TranslationOptions
from webapp.models import *


@register(BaseFeed)
class BaseFeedTranslationOptions(TranslationOptions):
    """Class for base feed translation options."""

    fields = ('title', 'description', 'content')


@register(Feed)
class FeedTranslationOptions(TranslationOptions):
    """Class for feed translation options."""

    fields = ()


@register(Tag)
class TagTranslationOptions(TranslationOptions):
    """Class for tag translation options."""

    fields = ('name',)


@register(Event)
class EventTranslationOptions(TranslationOptions):
    """Class for event translation options."""

    fields = ()


@register(Signup)
class SignupTranslationOptions(TranslationOptions):
    """Class for registration translation options."""

    fields = ()


@register(SignupForm)
class SignupFormTranslationOptions(TranslationOptions):
    """Class for registration translation options."""

    fields = ()


@register(TemplateQuestion)
class TemplateQuestionTranslationOptions(TranslationOptions):
    """Class for registration translation options."""

    fields = ()


@register(BaseRole)
class BaseRoleTranslationOptions(TranslationOptions):
    """Class for base role translation options"""

    fields = ('name',)


@register(PresetRole)
class PresetRoleTranslationOptions(TranslationOptions):
    """Class for PresetRole translation options."""

    fields = ('description',)


@register(Committee)
class CommitteeTranslationOptions(TranslationOptions):
    """Class for PresetRole translation options."""

    fields = ('name',)
